import React from 'react'
import { Routes, Route, Navigate } from "react-router-dom";

import { Dashboard } from "./Dashboard";
import { Login } from '../Pages/Login'
import { Home } from '../Pages/Home'
import { Puestos } from '../Pages/Puestos'
import { Contras  } from '../Pages/Contras'
import { Expedientes } from '../Pages/Expedientes'
import { Resultados } from '../Pages/Resultados'
import { Configuracion } from '../Pages/Configuracion'
import { Historial } from '../Pages/Historial'
import { Pruebas } from '../Pages/Pruebas'
import { PruebaNueva } from '../Pages/PruebaNueva'
import { PruebaAsignar } from '../Pages/PruebaAsignar'
import { NotFound } from '../Pages/404'
import { Profile } from '../Pages/Profile'
import { RestorePassword } from '../Pages/RestorePassword'

import RequireAuth from '../Components/PrivateRoute'

export default function MyRoutes () {

    return(
        <Routes>

            <Route path="/" element={<Navigate to='login'/>} />
            <Route path="/psicoadmin" element={<Navigate to='/login'/>} />
            <Route path="/psicoadmin/login" element={<Login/>} />
            <Route path="/psicoadmin/password/recuperar" element={<RestorePassword/>} />
            <Route 
                path="/psicoadmin/dashboard" 
                element={
                    <RequireAuth>
                        <Dashboard/>
                    </RequireAuth>
                }
            >
                <Route path="/psicoadmin/home" element={<Home/>} />
                <Route path="/psicoadmin/puestos" element={<Puestos/>} />
                <Route path="/psicoadmin/perfil" element={<Profile/>} />
                <Route path="/psicoadmin/contrasenas" element={<Contras/>} />
                <Route path="/psicoadmin/expedientes" element={<Expedientes/>} />
                <Route path="/psicoadmin/resultados" element={<Resultados/>} />
                <Route path="/psicoadmin/configuraciones" element={<Configuracion/>} />
                <Route path="/psicoadmin/historial" element={<Historial/>} />
                <Route path="/psicoadmin/pruebas/listar" element={<Pruebas/>} />
                <Route path="/psicoadmin/pruebas/crear" element={<PruebaNueva/>} />
                <Route path="/psicoadmin/pruebas/aplicar" element={<PruebaAsignar/>} />
            </Route>
            <Route path="*" element={<NotFound/>}/>

        </Routes>
    )
}

